//+------------------------------------------------------------------+
//|                                                 FFRI Test V1.mq4 |
//|                                                           LanBar |
//|                                          landonbarnard@gmail.com |
//+------------------------------------------------------------------+
#property copyright "LanBar"
#property link      "landonbarnard@gmail.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 MediumSpringGreen
//---- indicator parameters
extern int MA_Period=20;
extern int ATR_Period=10;
//---- buffers
double FFRI[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,FFRI);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int   counted_bars=IndicatorCounted();
   if    (counted_bars<0) return(-0);
   if    (counted_bars>0) counted_bars--;
   int   i=Bars-counted_bars;
//----
   for(i=0;i<Bars-counted_bars;i++) 
   {
     double Ma01=iMA(NULL,0,MA_Period,0,MODE_SMA,PRICE_CLOSE,i);
     double Close01=(Close[i]);
     double Atr01=iATR(NULL,0,ATR_Period,i);
     FFRI[i]=(Close01-Ma01)/Atr01;
   } 
//----
   return(0);
  }
//+------------------------------------------------------------------+